CVE-2018-10195

NameCVE-2018-10195
Descriptionlrzsz before version 0.12.21~rc can leak information to the receiving side due to an incorrect length check in the function zsdata that causes a size_t to wrap around.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitylow
Debian Bugs897010

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
lrzsz (PTS)stretch0.12.21-8vulnerable
buster, bookworm, bullseye, sid0.12.21-10fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
lrzszsource(unstable)0.12.21-10low897010

Notes

[stretch] - lrzsz <no-dsa> (Minor issue)
[jessie] - lrzsz <no-dsa> (Minor issue)
[wheezy] - lrzsz <no-dsa> (Minor issue)
https://bugzilla.suse.com/show_bug.cgi?id=1090051
Fedora patch: https://src.fedoraproject.org/cgit/rpms/lrzsz.git/tree/lrzsz-0.12.20.patch

Search for package or bug name: Reporting problems